const { app, BrowserWindow, shell, Menu } = require("electron");
const path = require("path");
let mainWindow;

let pluginName
switch (process.platform) {
  case 'win32':
    pluginName = 'pepflashplayer.dll'
    break
  case 'darwin':
    pluginName = 'PepperFlashPlayer.plugin'
    break
  case 'linux':
    pluginName = 'libpepflashplayer.so'
    break
}
app.commandLine.appendSwitch('ppapi-flash-path', path.join(__dirname, pluginName))

app.commandLine.appendSwitch('ppapi-flash-version', '17.0.0.169')

app.on("ready", () => {
	mainWindow = new BrowserWindow({
		width: 980,
		height: 620,
		allowRunningInsecureContent: true,
		webPreferences: {
	      plugins: true
	    },
	    useContentSize: true
	});
	mainWindow.on("close", () => {
		app.quit();
    });
    setMainMenu();
	mainWindow.loadURL(path.join("file://", __dirname, "index.html"));
});
app.on("before-quit", () => {
	//shell.openExternal("http://i.oldcp.biz/closed");
});

function setMainMenu() {
	var template = [
	{
		label: "iOldCP",
		submenu: [{
			label: 'Quit',
			accelerator: 'Cmd+Q',
			click() {
				app.quit();
			}
		},
		{
			label: 'Relogin',
			accelerator: 'Cmd+R',
			click() {
				mainWindow.webContents.executeJavaScript("relogin();");
			}
		}]
	}];
	Menu.setApplicationMenu(Menu.buildFromTemplate(template));
}